Package org.springframework.context

# Interface EmbeddedValueResolverAware

All Superinterfaces:
  `org.springframework.beans.factory.Aware`

All Known Implementing Classes:
  `DateTimeFormatAnnotationFormatterFactory`, `DefaultFormattingConversionService`, `DurationFormatAnnotationFormatterFactory`, `EmbeddedValueResolutionSupport`, `FormattingConversionService`, `FormattingConversionServiceFactoryBean`, `Jsr310DateTimeFormatAnnotationFormatterFactory`, `Jsr354NumberFormatAnnotationFormatterFactory`, `NumberFormatAnnotationFormatterFactory`, `ScheduledAnnotationBeanPostProcessor`

public interface EmbeddedValueResolverAware extends org.springframework.beans.factory.Aware
Interface to be implemented by any object that wishes to be notified of a `StringValueResolver` for the resolution of embedded definition values.

This is an alternative to a full ConfigurableBeanFactory dependency via the `ApplicationContextAware`/`BeanFactoryAware` interfaces.

Since:
  3.0.3
Author:
  Juergen Hoeller, Chris Beams
See Also:
  - `ConfigurableBeanFactory.resolveEmbeddedValue(String)`
  - `ConfigurableBeanFactory.getBeanExpressionResolver()`
  - `EmbeddedValueResolver`

## Method Summary

Modifier and Type
Method
Description
`void`
`setEmbeddedValueResolver(org.springframework.util.StringValueResolver resolver)`
Set the StringValueResolver to use for resolving embedded definition values.

## Method Details

### setEmbeddedValueResolver

void setEmbeddedValueResolver(org.springframework.util.StringValueResolver resolver)
Set the StringValueResolver to use for resolving embedded definition values.